(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    211905,       5803]
NotebookOptionsPosition[    195029,       5610]
NotebookOutlinePosition[    195431,       5626]
CellTagsIndexPosition[    195388,       5623]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Get", "@", 
   RowBox[{"FileNameJoin", "@", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<BlackHoleEquations.m\>\""}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8899526439076023`*^9, 3.889952647975067*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"d7e67cda-12be-45bf-bec3-bc2d6d116f91"],

Cell["Stefan's modified black hole equations", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954371151475*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontSize->40,
 FontWeight->Bold,
 FontVariations->{"Underline"->True},
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"36f36cac-76cb-4c2d-a813-06c1deb645e2"],

Cell[BoxData[
 TagBox[GridBox[{
    {Cell["Connection to Part III project",
      FontWeight->Bold,ExpressionUUID->
      "9b143162-78e2-4584-b077-2dc3c6f44c09"], Cell["\<\
The purpose of this script is to give a concrete set of tools for extracting \
the reduced field equations in a static, spherical spacetime. With these \
tools, it is hoped that the remainder of the project time can be spent on \
analysis of the physics.\
\>",ExpressionUUID->"b82255fe-7861-42fd-bee6-cc2df957fb78"]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "TextGrid"]], "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954371170209*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],
 Background->RGBColor[
  1, 1, 0],ExpressionUUID->"da0460bb-3ad9-4698-b066-3ccb26e8d4f2"],

Cell[CellGroupData[{

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954371260412*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a34830c6-23a6-4edd-b77a-53cd6c53097b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPerm`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.3\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2015", ",", "8", ",", "23"}], "}"}]}],
  SequenceForm["Package xAct`xPerm`  version ", "1.2.3", ", ", {2015, 8, 23}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.88995437126206*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"28b3c852-d8e6-43b1-81d1-5e0a7c4a28b5"],

Cell[BoxData["\<\"CopyRight (C) 2003-2020, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellChangeTimes->{3.889954371263563*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"71d572c1-379a-4434-9cb3-3cdd6d07ae57"],

Cell[BoxData["\<\"Connecting to external linux executable...\"\>"], "Print",
 CellChangeTimes->{3.889954371325346*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b54f1a68-ee9d-4e6c-b49a-4a2c32c3b44a"],

Cell[BoxData["\<\"Connection established.\"\>"], "Print",
 CellChangeTimes->{3.889954371374098*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a4df7a28-9ad4-419a-ae92-f7ef205a3a4c"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954371375675*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d8777b24-6c7b-49b0-97ed-9712c30c46e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xTensor`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.0\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "10", ",", "17"}], "}"}]}],
  SequenceForm[
  "Package xAct`xTensor`  version ", "1.2.0", ", ", {2021, 10, 17}],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371377071*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"aa7da2e2-d0f0-418c-8df1-8d0b307e2726"],

Cell[BoxData["\<\"CopyRight (C) 2002-2021, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellChangeTimes->{3.8899543713783293`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"bee6e537-c360-486a-bba4-b07d65cbb35b"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8899543713882647`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4b0cbe03-d378-4bab-83f9-a2a30d3d47fd"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.889954371389863*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"619dcc12-19f7-45bc-87e3-36fca23db77b"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8899543713913527`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"2791ab2e-0a20-490f-96cb-f64c82d867dd"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954371492611*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"2efc8bba-0bf9-4e2a-abd3-8b658d1cb329"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPerm`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.3\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2015", ",", "8", ",", "23"}], "}"}]}],
  SequenceForm["Package xAct`xPerm`  version ", "1.2.3", ", ", {2015, 8, 23}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371494467*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c4ad9db2-869a-4962-8324-d37c05745345"],

Cell[BoxData["\<\"CopyRight (C) 2003-2020, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellChangeTimes->{3.8899543714958487`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c5d3b357-6290-485b-9cc2-06b64b0dc8d0"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954371497177*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"148cbf5d-b79e-437f-ae33-685fe580edbd"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.8899543714985228`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0e45e40d-578f-40a1-ab64-9a69255e3225"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954371499942*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e6bdd6ee-3289-4ef0-bac4-28d12d2606fa"],

Cell[BoxData["\<\"Connecting to external linux executable...\"\>"], "Print",
 CellChangeTimes->{3.889954371512349*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"92af8776-6cab-41f2-9a88-ad72f83e1e87"],

Cell[BoxData["\<\"Connection established.\"\>"], "Print",
 CellChangeTimes->{3.889954371524226*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"72dff689-62e9-4a15-80ee-a1f6e243d97d"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8899543715840883`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"794c06b6-fc32-49a9-a57f-fbf3e870cdfe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPert`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.0.6\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2018", ",", "2", ",", "28"}], "}"}]}],
  SequenceForm["Package xAct`xPert`  version ", "1.0.6", ", ", {2018, 2, 28}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371585607*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a5c29871-e8f5-4d6f-8b53-5cfaa4231f0a"],

Cell[BoxData["\<\"CopyRight (C) 2005-2020, David Brizuela, Jose M. \
Martin-Garcia and Guillermo A. Mena Marugan, under the General Public \
License.\"\>"], "Print",
 CellChangeTimes->{3.889954371587097*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5bf07d39-783e-41ff-82bb-5ebe90518949"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$PrePrint", 
   "\[InvisibleSpace]", "\<\" assigned value \"\>", "\[InvisibleSpace]", 
   "ScreenDollarIndices"}],
  SequenceForm[
  "** Variable ", $PrePrint, " assigned value ", 
   xAct`xTensor`ScreenDollarIndices],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543715996*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"23e52ef4-4199-4e53-bbf8-4607785b2ea0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$CovDFormat", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", 
   "\[InvisibleSpace]", "\<\"Prefix\"\>", "\[InvisibleSpace]", "\<\" to \"\>",
    "\[InvisibleSpace]", "\<\"Postfix\"\>"}],
  SequenceForm[
  "** Variable ", xAct`xTensor`$CovDFormat, " changed from ", "Prefix", 
   " to ", "Postfix"],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371601179*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"562aa402-a587-4d90-9873-03511cb0d4e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "AllowUpperDerivatives", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "ContractMetric",
    "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`AllowUpperDerivatives, " of ", 
   xAct`xTensor`ContractMetric, " changed from ", False, " to ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371602528*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7f1d1166-8bbe-4bc7-b7dc-832651cec1ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "MetricOn", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "MakeRule", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", "None",
    "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "All"}],
  SequenceForm[
  "** Option ", xAct`xTensor`MetricOn, " of ", xAct`xTensor`MakeRule, 
   " changed from ", None, " to ", All],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371604024*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"31980d2a-6997-46df-88ad-17c3fb4b529b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "ContractMetrics", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "MakeRule", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`ContractMetrics, " of ", xAct`xTensor`MakeRule, 
   " changed from ", False, " to ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543716054697`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"58fa9c25-24d7-4c49-b82d-51665a3d5e6e"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954371621151*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0d6a4b0e-e52e-452c-b658-9a382fe54038"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`Invar`  version \"\>", 
   "\[InvisibleSpace]", "\<\"2.0.5\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2013", ",", "7", ",", "1"}], "}"}]}],
  SequenceForm["Package xAct`Invar`  version ", "2.0.5", ", ", {2013, 7, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371622712*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9ed0f2a0-11f3-459b-9175-49abae12b3b1"],

Cell[BoxData["\<\"CopyRight (C) 2006-2020, J. M. Martin-Garcia, D. Yllanes \
and R. Portugal, under the General Public License.\"\>"], "Print",
 CellChangeTimes->{3.8899543716241407`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d2fce213-ea69-4e37-b91d-c6bdb22c3b5d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", 
   "sigma", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", "constant symbol ", 
   xAct`Invar`sigma, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543716380253`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3ad352be-69e6-414a-852d-b7bb74e3c320"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", 
   "dim", "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", "constant symbol ", 
   xAct`Invar`dim, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371639711*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8487eaf4-d610-48fb-a85f-0ff5fd6ee651"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "CurvatureRelations", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", "True",
    "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "False"}],
  SequenceForm[
  "** Option ", xAct`xTensor`CurvatureRelations, " of ", xAct`xTensor`DefCovD,
    " changed from ", True, " to ", False],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371641246*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f601d7dc-62ac-4760-babf-837b5c02b973"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", 
   "$CommuteCovDsOnScalars", "\[InvisibleSpace]", "\<\" changed from \"\>", 
   "\[InvisibleSpace]", "True", "\[InvisibleSpace]", "\<\" to \"\>", 
   "\[InvisibleSpace]", "False"}],
  SequenceForm[
  "** Variable ", xAct`xTensor`$CommuteCovDsOnScalars, " changed from ", True,
    " to ", False],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371642797*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"159a7df2-7f7b-4694-b3c3-dcd9e3dd0502"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954371672168*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f38d06fa-f00b-4555-ba94-cf43d631f5dc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xCoba`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.8.6\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "2", ",", "28"}], "}"}]}],
  SequenceForm["Package xAct`xCoba`  version ", "0.8.6", ", ", {2021, 2, 28}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.889954371673703*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ee67c33b-1d7f-4eb4-8d32-bb91875f12ef"],

Cell[BoxData["\<\"CopyRight (C) 2005-2021, David Yllanes and Jose M. \
Martin-Garcia, under the General Public License.\"\>"], "Print",
 CellChangeTimes->{3.88995437167507*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"66b02110-f486-48b1-96ff-6c7d902f5f94"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8899543721121483`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f3a32d66-7354-4b32-8f54-be676a87d5ad"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`SymManipulator`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.9.5\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "9", ",", "14"}], "}"}]}],
  SequenceForm[
  "Package xAct`SymManipulator`  version ", "0.9.5", ", ", {2021, 9, 14}],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372113901*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"932f2b21-8bbe-4f87-b8fa-e430e5875124"],

Cell[BoxData["\<\"CopyRight (C) 2011-2021, Thomas B\[ADoubleDot]ckdahl, under \
the General Public License.\"\>"], "Print",
 CellChangeTimes->{3.889954372115345*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"69f69bf2-3afe-4d64-8708-f1a02b4b7888"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8899543721656647`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e357a272-e041-47fb-b713-075c8f976448"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xTras`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.4.2\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2014", ",", "10", ",", "30"}], "}"}]}],
  SequenceForm["Package xAct`xTras`  version ", "1.4.2", ", ", {2014, 10, 30}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543721674843`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b9a014c0-3fd2-446c-8f6b-1161a3cd580a"],

Cell[BoxData["\<\"CopyRight (C) 2012-2014, Teake Nutma, under the General \
Public License.\"\>"], "Print",
 CellChangeTimes->{3.889954372169051*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"fdc67bfe-9eab-4010-9e9c-ad8916a8379c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$CovDFormat", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", 
   "\[InvisibleSpace]", "\<\"Postfix\"\>", 
   "\[InvisibleSpace]", "\<\" to \"\>", 
   "\[InvisibleSpace]", "\<\"Prefix\"\>"}],
  SequenceForm[
  "** Variable ", xAct`xTensor`$CovDFormat, " changed from ", "Postfix", 
   " to ", "Prefix"],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372170293*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"63c3932a-3eb9-495f-a889-326496c24957"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "CurvatureRelations", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`CurvatureRelations, " of ", xAct`xTensor`DefCovD,
    " changed from ", False, " to ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543721715717`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"907366fa-c6e6-46bc-8b62-d5e04cda85d6"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954372583642*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"28973612-2e20-4918-9f12-656ad3e1d60c"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.889954372585339*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"71d55943-19a3-4a07-846f-379f87c825c1"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954372586945*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"dba507df-1a62-4997-8c01-b4d1544f965e"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8899543726194344`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b7451e38-9566-447b-9f68-5b1b83b5ec0f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xCoba`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.8.6\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "2", ",", "28"}], "}"}]}],
  SequenceForm["Package xAct`xCoba`  version ", "0.8.6", ", ", {2021, 2, 28}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372621215*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d7c136d6-bc88-4b13-bc75-2d73ae9dd123"],

Cell[BoxData["\<\"CopyRight (C) 2005-2021, David Yllanes and Jose M. \
Martin-Garcia, under the General Public License.\"\>"], "Print",
 CellChangeTimes->{3.889954372622656*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7009658a-8539-4ef6-947e-6997665fb28d"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954372624071*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"13c78ca7-8ab9-4039-85ff-7fb02e1da865"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.889954372625355*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ae8c102a-7c1d-4191-b711-cb0065c1b591"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.889954372626803*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"95f7c4dc-584b-4029-bb03-b51dfedcc0f1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefManifold", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"manifold \"\>", "\[InvisibleSpace]", "M4", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefManifold, ": Defining ", 
   "manifold ", $CellContext`M4, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372664691*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"2c24fb72-17dc-42df-99f6-061209fb127f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefVBundle", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vbundle \"\>", "\[InvisibleSpace]", "TangentM4", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefVBundle, ": Defining ", 
   "vbundle ", $CellContext`TangentM4, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543726986237`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b772e3bb-5b55-4e6d-b6e6-98b1ddbd11db"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric metric tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"G", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric metric tensor ", 
   $CellContext`G[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372700594*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"19c42dfc-527b-40d8-89ab-af368de684da"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric tensor \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"epsilonG", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric tensor ", 
   $CellContext`epsilonG[-$CellContext`a, -$CellContext`a1, -$CellContext`b, \
-$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372702107*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"eb462e3d-60e5-4d59-b6aa-e9e74c0baca1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tetrametric \"\>", "\[InvisibleSpace]", 
   RowBox[{"TetraG", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tetrametric ", 
   $CellContext`TetraG[-$CellContext`a, -$CellContext`a1, -$CellContext`b, \
-$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543727036324`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"adf3a82d-ed3f-43cd-a4b2-cdc39c57cb48"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tetrametric \"\>", "\[InvisibleSpace]", 
   RowBox[{"TetraG\[Dagger]", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tetrametric ", 
   $CellContext`TetraG\[Dagger][-$CellContext`a, -$CellContext`a1, \
-$CellContext`b, -$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543727051497`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d1c4ecff-67ca-48b2-a42f-27282bd9b740"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"covariant derivative \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"CD", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "covariant derivative ", 
   $CellContext`CD[-$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372706688*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"6a176cce-7064-43b1-8c52-41c2d9f184d1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing torsion tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TorsionCD", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing torsion tensor ", 
   $CellContext`TorsionCD[$CellContext`a, -$CellContext`a1, -$CellContext`b], 
   ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543727087317`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"dbb958d3-e04d-43dc-9218-5c0b90d3607c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Christoffel tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"ChristoffelCD", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Christoffel tensor ", 
   $CellContext`ChristoffelCD[$CellContext`a, -$CellContext`a1, \
-$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372710197*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4f8e5819-468b-403d-a5fa-e2ad5d24c748"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Riemann tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"RiemannCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Riemann tensor ", 
   $CellContext`RiemannCD[-$CellContext`a, -$CellContext`a1, -$CellContext`b, \
-$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372711732*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"807742ce-5260-4818-8515-c094e2e3c8a6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Ricci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RicciCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric Ricci tensor ", 
   $CellContext`RicciCD[-$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372713303*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"94ab9793-e8f9-41fc-9ba6-9db658aab3cf"],

Cell[BoxData["\<\"** DefCovD:  Contractions of Riemann automatically replaced \
by Ricci.\"\>"], "Print",
 CellChangeTimes->{3.8899543727150717`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4c9b2250-4955-4ee0-b92e-88715edc7ad7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Ricci scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"RicciScalarCD", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Ricci scalar ", 
   $CellContext`RicciScalarCD[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372716625*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5bb1adca-7ded-49ba-9602-563c8e54a51f"],

Cell[BoxData["\<\"** DefCovD:  Contractions of Ricci automatically replaced \
by RicciScalar.\"\>"], "Print",
 CellChangeTimes->{3.889954372749419*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"48a14080-4cc5-45c9-b61d-9fad85e136fd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"EinsteinCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Einstein tensor ", 
   $CellContext`EinsteinCD[-$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372751363*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"31c66d8e-568f-4f71-b067-112b2df8ac59"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Weyl tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"WeylCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "Weyl tensor ", 
   $CellContext`WeylCD[-$CellContext`a, -$CellContext`a1, -$CellContext`b, \
-$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372752866*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f8c70cb0-64a1-49aa-a436-810ebc96bf82"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric TFRicci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TFRicciCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric TFRicci tensor ", 
   $CellContext`TFRicciCD[-$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372819788*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"348699ad-b257-42eb-a7e5-60dee535fcdc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Kretschmann scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"KretschmannCD", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Kretschmann scalar ", 
   $CellContext`KretschmannCD[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372852667*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f25c1c25-b37e-46e7-9757-e8305978b542"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RiemannToWeylRules for dim \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["** DefCovD:  Computing RiemannToWeylRules for dim ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543728544292`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b6d2a3ed-7577-4f31-9c62-7ab01c75b449"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToTFRicci for dim \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["** DefCovD:  Computing RicciToTFRicci for dim ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372921904*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a8b6c678-49bb-4025-a4e0-917ad1fcd396"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToEinsteinRules for dim \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["** DefCovD:  Computing RicciToEinsteinRules for dim ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954372955044*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4a1a72ca-dc60-431d-a46c-b3c6acfa71dd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetrized Riemann tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"SymRiemannCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetrized Riemann tensor ", 
   $CellContext`SymRiemannCD[-$CellContext`a, -$CellContext`a1, \
-$CellContext`b, -$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373319709*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a4de99e7-e9c7-42a9-999c-fdf3d227c754"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Schouten tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"SchoutenCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Schouten tensor ", 
   $CellContext`SchoutenCD[-$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543733220367`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e2a10fab-9f80-47b2-8f88-26ebafab5906"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric cosmological Schouten tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"SchoutenCCCD", "[", 
    RowBox[{
     RowBox[{"LI", "[", "_", "]"}], ",", 
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric cosmological Schouten tensor ", 
   $CellContext`SchoutenCCCD[
    xAct`xTensor`LI[
     Blank[]], -$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373324335*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"6f6adc2d-3648-483d-a66b-97fcd3a31d9a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric cosmological Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"EinsteinCCCD", "[", 
    RowBox[{
     RowBox[{"LI", "[", "_", "]"}], ",", 
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric cosmological Einstein tensor ", 
   $CellContext`EinsteinCCCD[
    xAct`xTensor`LI[
     Blank[]], -$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543733263693`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"15128fcb-299a-4665-8a75-a5acfc5b6114"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"covariant derivative \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"CD", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"to be symmetrizable\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "covariant derivative ", 
   $CellContext`CD[-$CellContext`a], ". ", "to be symmetrizable"],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373410631*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"164a4426-d979-4a2b-b73e-74413e08b7ee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"weight +2 density \"\>", "\[InvisibleSpace]", 
   RowBox[{"DetG", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Determinant.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "weight +2 density ", 
   $CellContext`DetG[], ". ", "Determinant."],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373412479*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"660832c6-d618-47c0-904d-d24788e8b3a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefParameter", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"parameter \"\>", "\[InvisibleSpace]", 
   "PerturbationParameterG", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefParameter, ": Defining ", 
   "parameter ", $CellContext`PerturbationParameterG, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373414371*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"59ab4846-bc03-451b-9468-03aaba603200"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"PerturbationG", "[", 
    RowBox[{
     RowBox[{"LI", "[", "\<\"order\"\>", "]"}], ",", 
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`PerturbationG[
    xAct`xTensor`LI["order"], -$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543734162827`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e3698fda-7530-478a-b244-ff6dc4ba0ecf"]
}, Open  ]],

Cell["Define a Planck mass.", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954373458247*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"7c4060e2-c8d4-46af-a67b-1f817d657d12"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", 
   "MPl", "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", 
   "constant symbol ", $CellContext`MPl, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373508428*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"fd5bb265-e058-473d-9db0-55f8bbc112b3"],

Cell["Define the Schwarzschild functions.", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.88995437351153*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"d185af4c-accf-44b6-88dc-4e7baf322df6"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefScalarFunction", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"scalar function \"\>", "\[InvisibleSpace]", "B1",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefScalarFunction, ": Defining ", 
   "scalar function ", $CellContext`B1, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373550181*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c240fb29-c12c-44c8-bca5-8d2d770e5d59"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefScalarFunction", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"scalar function \"\>", "\[InvisibleSpace]", "B2",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefScalarFunction, ": Defining ", 
   "scalar function ", $CellContext`B2, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373551847*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"31f5e2f7-087f-49a1-a550-f9c651a32dc4"]
}, Open  ]],

Cell["Define the chart for spherical polar coordinates.", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954373558406*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"b2df40b7-e19c-4a8c-a240-a38d5b888127"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefChart", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"chart \"\>", "\[InvisibleSpace]", 
   "SphericalPolar", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xCoba`DefChart, ": Defining ", 
   "chart ", $CellContext`SphericalPolar, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373617449*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"208b8978-b540-47fd-9aa5-c0c4de9fb83a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"coordinate scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"ct", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "coordinate scalar ", 
   $CellContext`ct[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543736193447`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0f3c74c9-562b-4a70-ba90-194fff7ba7d4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"coordinate scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"cr", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "coordinate scalar ", 
   $CellContext`cr[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373624666*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"aae1f635-c43c-47f7-8e72-81b933f79aac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"coordinate scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"ctheta", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "coordinate scalar ", 
   $CellContext`ctheta[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373626649*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"dbaa2d74-2ce5-4025-b6ba-825674c9a7e9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"coordinate scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"cphi", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "coordinate scalar ", 
   $CellContext`cphi[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543736287937`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"be46576a-47de-4efe-8c5f-a8b84ff30eac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefMapping", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"mapping \"\>", "\[InvisibleSpace]", 
   "SphericalPolar", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefMapping, ": Defining ", 
   "mapping ", $CellContext`SphericalPolar, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373631137*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b9a8b225-a0ae-4cfe-a8bc-f09a8b246b14"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefMapping", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"inverse mapping \"\>", "\[InvisibleSpace]", 
   "iSphericalPolar", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefMapping, ": Defining ", 
   "inverse mapping ", $CellContext`iSphericalPolar, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543736349573`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3e8981d2-a95a-4366-83e2-cd7e9346c330"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"mapping differential tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"diSphericalPolar", "[", 
    RowBox[{
     RowBox[{"-", "\[FormalA]"}], ",", "iSphericalPolara"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "mapping differential tensor ", 
   $CellContext`diSphericalPolar[-\[FormalA], $CellContext`iSphericalPolara], 
   ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543736830797`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"bfa7d3fe-87a0-4cf1-94d6-b0c0d16150dd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"mapping differential tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"dSphericalPolar", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", "SphericalPolar\[FormalA]"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "mapping differential tensor ", 
   $CellContext`dSphericalPolar[-$CellContext`a, $CellContext`SphericalPolar\
\[FormalA]], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373685607*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8ff4451c-bbaa-4854-9acd-0a156a1b6bc6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefBasis", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"basis \"\>", "\[InvisibleSpace]", 
   "SphericalPolar", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Coordinated basis.\"\>"}],
  SequenceForm[
  "** ", xAct`xCoba`DefBasis, ": Defining ", 
   "basis ", $CellContext`SphericalPolar, ". ", "Coordinated basis."],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543736874733`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c1830d5e-c897-47bc-9433-dc8247d64c08"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"parallel derivative \"\>", "\[InvisibleSpace]", 
   RowBox[{"PDSphericalPolar", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "parallel derivative ", 
   $CellContext`PDSphericalPolar[-$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543736893673`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7889ddbb-603c-4e09-a2d2-96e2f8e448d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing torsion tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TorsionPDSphericalPolar", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing torsion tensor ", 
   $CellContext`TorsionPDSphericalPolar[$CellContext`a, -$CellContext`a1, \
-$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373691456*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"06634c3a-4c0a-4880-9cd9-2ab670a5f3df"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Christoffel tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"ChristoffelPDSphericalPolar", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Christoffel tensor ", 
   $CellContext`ChristoffelPDSphericalPolar[$CellContext`a, -$CellContext`a1, \
-$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373693527*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"feb346f0-f612-4f39-955e-679eba318190"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Riemann tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RiemannPDSphericalPolar", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", "b1"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing Riemann tensor ", 
   $CellContext`RiemannPDSphericalPolar[-$CellContext`a, -$CellContext`a1, \
-$CellContext`b, $CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373695867*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0766c38f-4d9f-4455-8f9d-dd68dddb9b10"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Ricci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RicciPDSphericalPolar", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing Ricci tensor ", 
   $CellContext`RicciPDSphericalPolar[-$CellContext`a, -$CellContext`a1], 
   ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373698051*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c28af7e5-4bfc-45a4-9993-53aabea7f07f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric +1 density \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"etaUpSphericalPolar", "[", 
    RowBox[{"a", ",", "a1", ",", "b", ",", "b1"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric +1 density ", 
   $CellContext`etaUpSphericalPolar[$CellContext`a, $CellContext`a1, \
$CellContext`b, $CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543737005653`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"075cecf4-cd88-4357-98c4-96f29f5ed4c0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric -1 density \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"etaDownSphericalPolar", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric -1 density ", 
   $CellContext`etaDownSphericalPolar[-$CellContext`a, -$CellContext`a1, \
-$CellContext`b, -$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373739517*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"6cddcfe0-4eb8-4544-bb52-8c0b2b5519c2"]
}, Open  ]],

Cell["Set the components of the metric to those of Schwarzschild.", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8899543737434483`*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"e5e4877d-cc5f-445d-a037-9eeaa77a4504"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{0, -$CellContext`SphericalPolar}, {
      0, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    SuperscriptBox[
     RowBox[{
      InterpretationBox[
       StyleBox["\[CapitalTheta]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`B1,
       Editable->False], "[", 
      InterpretationBox[
       StyleBox["\[ScriptR]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cr[],
       Editable->False], "]"}], "2"]}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     0, -$CellContext`SphericalPolar}, {
     0, -$CellContext`SphericalPolar}] -> $CellContext`B1[
      $CellContext`cr[]]^2, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543738069563`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3846ff09-a13a-4b34-9820-67eca60e7935"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{0, -$CellContext`SphericalPolar}, {
      1, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", "0"}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     0, -$CellContext`SphericalPolar}, {1, -$CellContext`SphericalPolar}] -> 
   0, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373843994*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"cc4a7b27-32c3-4cc2-96c8-a1d24da0aa60"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{0, -$CellContext`SphericalPolar}, {
      2, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", "0"}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     0, -$CellContext`SphericalPolar}, {2, -$CellContext`SphericalPolar}] -> 
   0, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373897607*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b5dcc5b6-735f-46ae-a333-202192f1d8b7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{0, -$CellContext`SphericalPolar}, {
      3, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", "0"}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     0, -$CellContext`SphericalPolar}, {3, -$CellContext`SphericalPolar}] -> 
   0, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.88995437393784*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5429db3b-fb8c-4b9d-bcf2-033dcb358452"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added dependent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{1, -$CellContext`SphericalPolar}, {
      0, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{0, -$CellContext`SphericalPolar}, {
      1, -$CellContext`SphericalPolar}],
     Editable->False]}], "\[InvisibleSpace]", "\<\" for tensor \"\>", 
   "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added dependent rule ", $CellContext`G[{1, -$CellContext`SphericalPolar}, {
     0, -$CellContext`SphericalPolar}] -> $CellContext`G[{
     0, -$CellContext`SphericalPolar}, {1, -$CellContext`SphericalPolar}], 
   " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954373979912*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ae1aff67-901f-4ac6-8466-42043bbdded7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{1, -$CellContext`SphericalPolar}, {
      1, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    RowBox[{"-", 
     SuperscriptBox[
      RowBox[{
       InterpretationBox[
        StyleBox["\[CapitalOmega]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`B2,
        Editable->False], "[", 
       InterpretationBox[
        StyleBox["\[ScriptR]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cr[],
        Editable->False], "]"}], "2"]}]}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     1, -$CellContext`SphericalPolar}, {
     1, -$CellContext`SphericalPolar}] -> -$CellContext`B2[
       $CellContext`cr[]]^2, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374017407*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f53d35f3-9dda-4b7d-a256-14ea6371b9dd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{1, -$CellContext`SphericalPolar}, {
      2, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", "0"}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     1, -$CellContext`SphericalPolar}, {2, -$CellContext`SphericalPolar}] -> 
   0, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374056394*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"cc5d0107-59ad-48d3-9c06-3b3c68c89580"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{1, -$CellContext`SphericalPolar}, {
      3, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", "0"}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     1, -$CellContext`SphericalPolar}, {3, -$CellContext`SphericalPolar}] -> 
   0, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374091701*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"706da8a8-5ce1-497f-90a9-d32d32e0db4b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added dependent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{2, -$CellContext`SphericalPolar}, {
      0, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{0, -$CellContext`SphericalPolar}, {
      2, -$CellContext`SphericalPolar}],
     Editable->False]}], "\[InvisibleSpace]", "\<\" for tensor \"\>", 
   "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added dependent rule ", $CellContext`G[{2, -$CellContext`SphericalPolar}, {
     0, -$CellContext`SphericalPolar}] -> $CellContext`G[{
     0, -$CellContext`SphericalPolar}, {2, -$CellContext`SphericalPolar}], 
   " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543741281843`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"39871534-7979-4cf8-84ac-25a08b74bea9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added dependent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{2, -$CellContext`SphericalPolar}, {
      1, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{1, -$CellContext`SphericalPolar}, {
      2, -$CellContext`SphericalPolar}],
     Editable->False]}], "\[InvisibleSpace]", "\<\" for tensor \"\>", 
   "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added dependent rule ", $CellContext`G[{2, -$CellContext`SphericalPolar}, {
     1, -$CellContext`SphericalPolar}] -> $CellContext`G[{
     1, -$CellContext`SphericalPolar}, {2, -$CellContext`SphericalPolar}], 
   " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374177616*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d52ea1bc-6c67-4705-bef1-97a56f8cff9f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{2, -$CellContext`SphericalPolar}, {
      2, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    RowBox[{"-", 
     SuperscriptBox[
      InterpretationBox[
       StyleBox["\[ScriptR]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cr[],
       Editable->False], "2"]}]}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     2, -$CellContext`SphericalPolar}, {
     2, -$CellContext`SphericalPolar}] -> -$CellContext`cr[]^2, 
   " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374220605*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"cf456d95-db7a-4bea-aaa6-5dd98f13433f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{2, -$CellContext`SphericalPolar}, {
      3, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", "0"}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     2, -$CellContext`SphericalPolar}, {3, -$CellContext`SphericalPolar}] -> 
   0, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374259178*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"343b8f8a-54dc-4abf-922f-49fbdc15c3da"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added dependent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{3, -$CellContext`SphericalPolar}, {
      0, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{0, -$CellContext`SphericalPolar}, {
      3, -$CellContext`SphericalPolar}],
     Editable->False]}], "\[InvisibleSpace]", "\<\" for tensor \"\>", 
   "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added dependent rule ", $CellContext`G[{3, -$CellContext`SphericalPolar}, {
     0, -$CellContext`SphericalPolar}] -> $CellContext`G[{
     0, -$CellContext`SphericalPolar}, {3, -$CellContext`SphericalPolar}], 
   " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374298636*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0d5143be-64dd-43b9-957a-aa6a2cba52e3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added dependent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{3, -$CellContext`SphericalPolar}, {
      1, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{1, -$CellContext`SphericalPolar}, {
      3, -$CellContext`SphericalPolar}],
     Editable->False]}], "\[InvisibleSpace]", "\<\" for tensor \"\>", 
   "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added dependent rule ", $CellContext`G[{3, -$CellContext`SphericalPolar}, {
     1, -$CellContext`SphericalPolar}] -> $CellContext`G[{
     1, -$CellContext`SphericalPolar}, {3, -$CellContext`SphericalPolar}], 
   " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543743515387`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b3064263-a0d1-4038-b144-8062d33e32ed"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added dependent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{3, -$CellContext`SphericalPolar}, {
      2, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{2, -$CellContext`SphericalPolar}, {
      3, -$CellContext`SphericalPolar}],
     Editable->False]}], "\[InvisibleSpace]", "\<\" for tensor \"\>", 
   "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added dependent rule ", $CellContext`G[{3, -$CellContext`SphericalPolar}, {
     2, -$CellContext`SphericalPolar}] -> $CellContext`G[{
     2, -$CellContext`SphericalPolar}, {3, -$CellContext`SphericalPolar}], 
   " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543743903093`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4ddd4708-2c83-4725-b67f-c4bfb25a657c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["\[ScriptG]", "\[Degree]"], 
         StyleBox[GridBox[{
            {" ", " "},
            {
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]], 
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[{3, -$CellContext`SphericalPolar}, {
      3, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptR]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cr[],
        Editable->False], "2"]}], " ", 
     SuperscriptBox[
      RowBox[{
       InterpretationBox[
        StyleBox["Sin",
         ShowAutoStyles->False,
         AutoSpacing->False],
        Sin,
        Editable->False], "[", 
       InterpretationBox[
        StyleBox["\[Theta]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ctheta[],
        Editable->False], "]"}], "2"]}]}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "G"}],
  SequenceForm[
  "Added independent rule ", $CellContext`G[{
     3, -$CellContext`SphericalPolar}, {
     3, -$CellContext`SphericalPolar}] -> -$CellContext`cr[]^2 Sin[
       $CellContext`ctheta[]]^2, " for tensor ", $CellContext`G],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374427957*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c33c3d96-cce1-4c85-ba36-ac3f9090ce25"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"weight +2 density \"\>", "\[InvisibleSpace]", 
   RowBox[{"DetGSphericalPolar", "[", "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Determinant.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "weight +2 density ", 
   $CellContext`DetGSphericalPolar[], ". ", "Determinant."],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374466075*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f11d38d4-05cd-4a82-8f2e-0f840898d7ad"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"ChristoffelCDPDSphericalPolar", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`ChristoffelCDPDSphericalPolar[$CellContext`a, \
-$CellContext`a1, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954374505672*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0c9023e5-11ce-4ebe-bb12-98087b2f2bc9"]
}, Open  ]],

Cell["\<\
Just to check the line element which we built here, let's have a look!\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954374854587*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"d92b5a87-4b57-40da-851b-0a7d6664fa68"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[GridBox[{
     {
      OverscriptBox["\[ScriptG]", "\[Degree]"], 
      StyleBox[GridBox[{
         {" ", " "},
         {
          StyleBox["\[Alpha]",
           FontColor->RGBColor[0.5, 0., 0.5]], 
          StyleBox["\[Beta]",
           FontColor->RGBColor[0.5, 0., 0.5]]}
        },
        GridBoxSpacings->{"Columns" -> {
            Offset[0.], {
             Offset[0.034999999999999996`]}, 
            Offset[0.]}, "Rows" -> {{
             Offset[0.]}}}],
       FontSize->Rational[39, 4]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.034999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`G[{-$CellContext`a, -$CellContext`SphericalPolar}, \
{-$CellContext`b, -$CellContext`SphericalPolar}],
  Editable->False]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954374902678*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"8f88fbc1-0c31-46bf-a9d0-abd773ffbd34"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{0, -$CellContext`SphericalPolar}, {
        0, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{0, -$CellContext`SphericalPolar}, {
        1, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{0, -$CellContext`SphericalPolar}, {
        2, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{0, -$CellContext`SphericalPolar}, {
        3, -$CellContext`SphericalPolar}],
       Editable->False]},
     {
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{1, -$CellContext`SphericalPolar}, {
        0, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{1, -$CellContext`SphericalPolar}, {
        1, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{1, -$CellContext`SphericalPolar}, {
        2, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{1, -$CellContext`SphericalPolar}, {
        3, -$CellContext`SphericalPolar}],
       Editable->False]},
     {
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{2, -$CellContext`SphericalPolar}, {
        0, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{2, -$CellContext`SphericalPolar}, {
        1, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{2, -$CellContext`SphericalPolar}, {
        2, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{2, -$CellContext`SphericalPolar}, {
        3, -$CellContext`SphericalPolar}],
       Editable->False]},
     {
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{3, -$CellContext`SphericalPolar}, {
        0, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{3, -$CellContext`SphericalPolar}, {
        1, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{3, -$CellContext`SphericalPolar}, {
        2, -$CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {" ", " "},
              {
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]]}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{3, -$CellContext`SphericalPolar}, {
        3, -$CellContext`SphericalPolar}],
       Editable->False]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954374946784*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"0fd06895-9f69-46e2-ac39-56e61e03a9ff"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox[
       RowBox[{
        InterpretationBox[
         StyleBox["\[CapitalTheta]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`B1,
         Editable->False], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}], "2"], "0", "0", "0"},
     {"0", 
      RowBox[{"-", 
       SuperscriptBox[
        RowBox[{
         InterpretationBox[
          StyleBox["\[CapitalOmega]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B2,
          Editable->False], "[", 
         InterpretationBox[
          StyleBox["\[ScriptR]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cr[],
          Editable->False], "]"}], "2"]}], "0", "0"},
     {"0", "0", 
      RowBox[{"-", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "2"]}], "0"},
     {"0", "0", "0", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptR]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cr[],
          Editable->False], "2"]}], " ", 
       SuperscriptBox[
        RowBox[{
         InterpretationBox[
          StyleBox["Sin",
           ShowAutoStyles->False,
           AutoSpacing->False],
          Sin,
          Editable->False], "[", 
         InterpretationBox[
          StyleBox["\[Theta]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ctheta[],
          Editable->False], "]"}], "2"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954374985326*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"817dc9ac-fa9d-4010-ace0-0f42f5555cdd"],

Cell["Now how about the inverse metric?", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8899543750290318`*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"423998db-abe1-449d-88d6-a12c9e301c1a"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[GridBox[{
     {
      OverscriptBox["\[ScriptG]", "\[Degree]"], 
      StyleBox[GridBox[{
         {
          StyleBox["\[Alpha]",
           FontColor->RGBColor[0.5, 0., 0.5]], 
          StyleBox["\[Beta]",
           FontColor->RGBColor[0.5, 0., 0.5]]},
         {" ", " "}
        },
        GridBoxSpacings->{"Columns" -> {
            Offset[0.], {
             Offset[0.034999999999999996`]}, 
            Offset[0.]}, "Rows" -> {{
             Offset[0.]}}}],
       FontSize->Rational[39, 4]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.034999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`G[{$CellContext`a, $CellContext`SphericalPolar}, \
{$CellContext`b, $CellContext`SphericalPolar}],
  Editable->False]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8899543750639143`*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"b17752c9-a07d-442f-9531-d1518ab1324e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{0, $CellContext`SphericalPolar}, {
        0, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{0, $CellContext`SphericalPolar}, {
        1, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{0, $CellContext`SphericalPolar}, {
        2, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{0, $CellContext`SphericalPolar}, {
        3, $CellContext`SphericalPolar}],
       Editable->False]},
     {
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{1, $CellContext`SphericalPolar}, {
        0, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{1, $CellContext`SphericalPolar}, {
        1, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{1, $CellContext`SphericalPolar}, {
        2, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{1, $CellContext`SphericalPolar}, {
        3, $CellContext`SphericalPolar}],
       Editable->False]},
     {
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{2, $CellContext`SphericalPolar}, {
        0, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{2, $CellContext`SphericalPolar}, {
        1, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{2, $CellContext`SphericalPolar}, {
        2, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{2, $CellContext`SphericalPolar}, {
        3, $CellContext`SphericalPolar}],
       Editable->False]},
     {
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["0",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{3, $CellContext`SphericalPolar}, {
        0, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["1",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{3, $CellContext`SphericalPolar}, {
        1, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["2",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{3, $CellContext`SphericalPolar}, {
        2, $CellContext`SphericalPolar}],
       Editable->False], 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["\[ScriptG]", "\[Degree]"], 
           StyleBox[GridBox[{
              {
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]], 
               StyleBox["3",
                FontColor->RGBColor[0.5, 0., 0.5]]},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`G[{3, $CellContext`SphericalPolar}, {
        3, $CellContext`SphericalPolar}],
       Editable->False]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375104547*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"49defbaf-0dc9-48ca-b54a-9f9f0edd2ed2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{
         InterpretationBox[
          StyleBox["\[CapitalTheta]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B1,
          Editable->False], "[", 
         InterpretationBox[
          StyleBox["\[ScriptR]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cr[],
          Editable->False], "]"}], "2"]], "0", "0", "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{
          InterpretationBox[
           StyleBox["\[CapitalOmega]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`B2,
           Editable->False], "[", 
          InterpretationBox[
           StyleBox["\[ScriptR]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cr[],
           Editable->False], "]"}], "2"]]}], "0", "0"},
     {"0", "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptR]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cr[],
          Editable->False], "2"]]}], "0"},
     {"0", "0", "0", 
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox[
         RowBox[{
          InterpretationBox[
           StyleBox["Csc",
            ShowAutoStyles->False,
            AutoSpacing->False],
           Csc,
           Editable->False], "[", 
          InterpretationBox[
           StyleBox["\[Theta]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ctheta[],
           Editable->False], "]"}], "2"], 
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptR]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cr[],
          Editable->False], "2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375136463*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"82f9df18-d1e9-46fa-ac22-b51017edb22a"],

Cell["\<\
Define scalar functions of the radial coordinate scalar, and functions which \
will represent the ADM quantities.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375173215*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"5076117d-b784-42fc-9be5-4129fef650a4"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Phi", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Phi[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954375196761*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"46de4020-07b7-424c-a8ef-28e87d031a9b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Psi", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Psi[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954375198629*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9aaa1520-11e2-4ada-9f4a-f3c297fe4d9f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefScalarFunction", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"scalar function \"\>", "\[InvisibleSpace]", 
   "Psis", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefScalarFunction, ": Defining ", 
   "scalar function ", $CellContext`Psis, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543752018633`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ee4f34f7-f175-4273-a3e3-782746e89131"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefScalarFunction", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"scalar function \"\>", "\[InvisibleSpace]", 
   "Phis", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefScalarFunction, ": Defining ", 
   "scalar function ", $CellContext`Phis, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954375203403*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9c0f548b-befb-4811-ba00-fe43f6e5fa1e"]
}, Open  ]],

Cell[BoxData[
 TagBox[GridBox[{
    {Cell["Connection to Part III project",
      FontWeight->Bold,ExpressionUUID->
      "73686014-0250-40ed-8746-d0707174120d"], Cell["\<\
Something I omitted in the video tutorial above was a discussion of how to \
set up reduced radial-function components of a tensor field which is not the \
metric. There were no such tensors in the torsionful effective theory I gave \
to Oliver, but of course in MoND we have the unit-timelike vector field. How \
to work with this?\
\>",ExpressionUUID->"59ad8b4c-1ce4-45f5-8352-140ffcb3d1c5"]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "TextGrid"]], "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375206401*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],
 Background->RGBColor[
  1, 1, 0],ExpressionUUID->"7e07f9d5-2675-4416-a9d5-48aae3298629"],

Cell["We wish to define a unit-timelike one-form.", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8899543752433968`*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"f132c145-9a13-4fe7-b2d8-9d30d20b49c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"A", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`A[-$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543752644577`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f80829fc-8aae-4978-a1eb-d5eeb7be84cf"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[GridBox[{
     {"\[ScriptCapitalA]", 
      StyleBox[GridBox[{
         {" "},
         {
          StyleBox["\[Alpha]",
           FontColor->RGBColor[0.5, 0., 0.5]]}
        },
        GridBoxSpacings->{"Columns" -> {
            Offset[0.], {
             Offset[0.034999999999999996`]}, 
            Offset[0.]}, "Rows" -> {{
             Offset[0.]}}}],
       FontSize->Rational[39, 4]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.034999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`A[{-$CellContext`a, -$CellContext`SphericalPolar}],
  Editable->False]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375286603*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"7d6f0ae0-7c19-477b-8920-ce2c529fe902"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalA]", 
        StyleBox[GridBox[{
           {" "},
           {
            StyleBox["0",
             FontColor->RGBColor[0.5, 0., 0.5]]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`A[{0, -$CellContext`SphericalPolar}],
    Editable->False], ",", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalA]", 
        StyleBox[GridBox[{
           {" "},
           {
            StyleBox["1",
             FontColor->RGBColor[0.5, 0., 0.5]]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`A[{1, -$CellContext`SphericalPolar}],
    Editable->False], ",", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalA]", 
        StyleBox[GridBox[{
           {" "},
           {
            StyleBox["2",
             FontColor->RGBColor[0.5, 0., 0.5]]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`A[{2, -$CellContext`SphericalPolar}],
    Editable->False], ",", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalA]", 
        StyleBox[GridBox[{
           {" "},
           {
            StyleBox["3",
             FontColor->RGBColor[0.5, 0., 0.5]]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`A[{3, -$CellContext`SphericalPolar}],
    Editable->False]}], "}"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375311735*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"d2d13cba-d738-4e8c-80a9-f5673745a077"],

Cell["\<\
We know that this one-form has the property of being unit-timelike, and that \
the Killing algebra is spherical. So, we define a couple of scalar functions.\
\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375334866*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"da5b410d-8f1f-48fd-98db-7849e35cf281"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefScalarFunction", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"scalar function \"\>", "\[InvisibleSpace]", "A1",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefScalarFunction, ": Defining ", 
   "scalar function ", $CellContext`A1, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954375354701*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"394f101f-b8ff-435c-bf6b-905307dc1de9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefScalarFunction", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"scalar function \"\>", "\[InvisibleSpace]", "A2",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefScalarFunction, ": Defining ", 
   "scalar function ", $CellContext`A2, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954375356307*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8be777e2-0356-4d9c-995f-05fa81355e38"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[ScriptCapitalA]", 
         StyleBox[GridBox[{
            {" "},
            {
             StyleBox["0",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`A[{0, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    RowBox[{
     InterpretationBox[
      StyleBox["\[CapitalPhi]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`A1,
      Editable->False], "[", 
     InterpretationBox[
      StyleBox["\[ScriptR]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cr[],
      Editable->False], "]"}]}], "\[InvisibleSpace]", "\<\" for tensor \"\>", 
   "\[InvisibleSpace]", "A"}],
  SequenceForm[
  "Added independent rule ", $CellContext`A[{
     0, -$CellContext`SphericalPolar}] -> $CellContext`A1[
     $CellContext`cr[]], " for tensor ", $CellContext`A],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954375386999*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ea665d35-8dbd-4b06-ab08-3df52d814de8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[ScriptCapitalA]", 
         StyleBox[GridBox[{
            {" "},
            {
             StyleBox["1",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`A[{1, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", 
    RowBox[{
     SqrtBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox[
        SuperscriptBox[
         RowBox[{
          InterpretationBox[
           StyleBox["\[CapitalPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`A1,
           Editable->False], "[", 
          InterpretationBox[
           StyleBox["\[ScriptR]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cr[],
           Editable->False], "]"}], "2"], 
        SuperscriptBox[
         RowBox[{
          InterpretationBox[
           StyleBox["\[CapitalTheta]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`B1,
           Editable->False], "[", 
          InterpretationBox[
           StyleBox["\[ScriptR]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cr[],
           Editable->False], "]"}], "2"]]}]], " ", 
     RowBox[{
      InterpretationBox[
       StyleBox["\[CapitalOmega]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`B2,
       Editable->False], "[", 
      InterpretationBox[
       StyleBox["\[ScriptR]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cr[],
       Editable->False], "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "A"}],
  SequenceForm[
  "Added independent rule ", $CellContext`A[{
     1, -$CellContext`SphericalPolar}] -> (-1 + $CellContext`A1[
          $CellContext`cr[]]^2 $CellContext`B1[
          $CellContext`cr[]]^(-2))^Rational[1, 2] $CellContext`B2[
      $CellContext`cr[]], " for tensor ", $CellContext`A],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954375406578*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5e91654b-8329-4fc3-8181-d304b1c6d7a4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[ScriptCapitalA]", 
         StyleBox[GridBox[{
            {" "},
            {
             StyleBox["2",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`A[{2, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", "0"}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "A"}],
  SequenceForm[
  "Added independent rule ", $CellContext`A[{
     2, -$CellContext`SphericalPolar}] -> 0, " for tensor ", $CellContext`A],
  Editable->False]], "Print",
 CellChangeTimes->{3.8899543754260187`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4ba0f900-2b15-4cea-8470-d90529c0e988"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Added independent rule \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[ScriptCapitalA]", 
         StyleBox[GridBox[{
            {" "},
            {
             StyleBox["3",
              FontColor->RGBColor[0.5, 0., 0.5]]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`A[{3, -$CellContext`SphericalPolar}],
     Editable->False], "\[Rule]", "0"}], 
   "\[InvisibleSpace]", "\<\" for tensor \"\>", "\[InvisibleSpace]", "A"}],
  SequenceForm[
  "Added independent rule ", $CellContext`A[{
     3, -$CellContext`SphericalPolar}] -> 0, " for tensor ", $CellContext`A],
  Editable->False]], "Print",
 CellChangeTimes->{3.889954375445463*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"6d5352b5-72c4-44de-ba50-876c7b240451"]
}, Open  ]],

Cell[BoxData[
 InterpretationBox[
  StyleBox[GridBox[{
     {"\[ScriptCapitalA]", 
      StyleBox[GridBox[{
         {" "},
         {
          StyleBox["\[Alpha]",
           FontColor->RGBColor[0.5, 0., 0.5]]}
        },
        GridBoxSpacings->{"Columns" -> {
            Offset[0.], {
             Offset[0.034999999999999996`]}, 
            Offset[0.]}, "Rows" -> {{
             Offset[0.]}}}],
       FontSize->Rational[39, 4]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.034999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`A[{-$CellContext`a, -$CellContext`SphericalPolar}],
  Editable->False]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375468255*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"6d1f4b81-9360-4e00-a56f-ba45bbfb71e0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalA]", 
        StyleBox[GridBox[{
           {" "},
           {
            StyleBox["0",
             FontColor->RGBColor[0.5, 0., 0.5]]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`A[{0, -$CellContext`SphericalPolar}],
    Editable->False], ",", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalA]", 
        StyleBox[GridBox[{
           {" "},
           {
            StyleBox["1",
             FontColor->RGBColor[0.5, 0., 0.5]]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`A[{1, -$CellContext`SphericalPolar}],
    Editable->False], ",", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalA]", 
        StyleBox[GridBox[{
           {" "},
           {
            StyleBox["2",
             FontColor->RGBColor[0.5, 0., 0.5]]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`A[{2, -$CellContext`SphericalPolar}],
    Editable->False], ",", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalA]", 
        StyleBox[GridBox[{
           {" "},
           {
            StyleBox["3",
             FontColor->RGBColor[0.5, 0., 0.5]]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`A[{3, -$CellContext`SphericalPolar}],
    Editable->False]}], "}"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375507114*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"c43cca29-6adf-40d2-a6c6-8a9a63e18747"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    InterpretationBox[
     StyleBox["\[CapitalPhi]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`A1,
     Editable->False], "[", 
    InterpretationBox[
     StyleBox["\[ScriptR]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`cr[],
     Editable->False], "]"}], ",", 
   RowBox[{
    SqrtBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{
         InterpretationBox[
          StyleBox["\[CapitalPhi]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`A1,
          Editable->False], "[", 
         InterpretationBox[
          StyleBox["\[ScriptR]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cr[],
          Editable->False], "]"}], "2"], 
       SuperscriptBox[
        RowBox[{
         InterpretationBox[
          StyleBox["\[CapitalTheta]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B1,
          Editable->False], "[", 
         InterpretationBox[
          StyleBox["\[ScriptR]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cr[],
          Editable->False], "]"}], "2"]]}]], " ", 
    RowBox[{
     InterpretationBox[
      StyleBox["\[CapitalOmega]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`B2,
      Editable->False], "[", 
     InterpretationBox[
      StyleBox["\[ScriptR]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cr[],
      Editable->False], "]"}]}], ",", "0", ",", "0"}], "}"}]], \
"DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.88995437553297*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"acfb5e61-524f-4166-b10f-a7d21cb880c5"],

Cell["\<\
Now check that a simple expression is carried properly to the component form.\
\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375557231*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"7a913b15-e0b2-4d33-903e-f87a33493bad"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {
       OverscriptBox["\[ScriptG]", "\[Degree]"], 
       StyleBox[GridBox[{
          {"\[Alpha]", "\[Beta]"},
          {" ", " "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`G[$CellContext`a, $CellContext`b],
   Editable->False], " ", 
  RowBox[{"(", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox[
       OverscriptBox["\[Del]", "\[SmallCircle]"], "\[Alpha]"], "\[Phi]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`CD[-$CellContext`a][
     $CellContext`Phi[]],
    Editable->False], ")"}], " ", 
  RowBox[{"(", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox[
       OverscriptBox["\[Del]", "\[SmallCircle]"], "\[Beta]"], "\[Psi]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`CD[-$CellContext`b][
     $CellContext`Psi[]],
    Editable->False], ")"}]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375584687*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"3c2a2346-0487-43ba-b64b-71bd2cfb9e7b"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{
     SuperscriptBox[
      InterpretationBox[
       StyleBox["\[Phi]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Phis,
       Editable->False], "\[Prime]",
      MultilineFunction->None], "[", 
     InterpretationBox[
      StyleBox["\[ScriptR]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cr[],
      Editable->False], "]"}], " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox[
       StyleBox["\[Psi]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Psis,
       Editable->False], "\[Prime]",
      MultilineFunction->None], "[", 
     InterpretationBox[
      StyleBox["\[ScriptR]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cr[],
      Editable->False], "]"}]}], 
   SuperscriptBox[
    RowBox[{
     InterpretationBox[
      StyleBox["\[CapitalOmega]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`B2,
      Editable->False], "[", 
     InterpretationBox[
      StyleBox["\[ScriptR]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cr[],
      Editable->False], "]"}], "2"]]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8899543756116867`*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"7ee752b6-8e68-4790-8126-7a1fe6081913"],

Cell["\<\
Next something more advanced: we want to show that our one-form really does \
the job.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375635675*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"6126fe44-2fa6-472f-80b6-021bd869b31e"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalA]", 
       StyleBox[GridBox[{
          {" "},
          {"\[Alpha]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`A[-$CellContext`a],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalA]", 
       StyleBox[GridBox[{
          {"\[Alpha]"},
          {" "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`A[$CellContext`a],
   Editable->False]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375661408*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"eec5254c-57b5-4b01-8e84-a59b04c4d002"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalA]", 
       StyleBox[GridBox[{
          {" "},
          {"\[Alpha]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`A[-$CellContext`a],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalA]", 
       StyleBox[GridBox[{
          {" "},
          {
           RowBox[{"\[Alpha]", "'"}]}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`A[-$CellContext`a1],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       OverscriptBox["\[ScriptG]", "\[Degree]"], 
       StyleBox[GridBox[{
          {"\[Alpha]", 
           RowBox[{"\[Alpha]", "'"}]},
          {" ", " "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`G[$CellContext`a, $CellContext`a1],
   Editable->False]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375689211*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"ca3adea2-5256-4327-b9c9-56341081cab4"],

Cell[BoxData["1"], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375716118*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"6a7e0ecb-8668-4752-a395-b048c027cfb9"],

Cell["\<\
Great. Now let's check that this can be used for more complex expressions.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375740642*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"a0e9b6b0-2911-4686-8fc7-a82a83fa43eb"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalA]", 
       StyleBox[GridBox[{
          {" "},
          {"\[Alpha]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`A[-$CellContext`a],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalA]", 
       StyleBox[GridBox[{
          {" "},
          {"\[Beta]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`A[-$CellContext`b],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", 
        OverscriptBox["\[Del]", "\[SmallCircle]"], "]"}], 
       StyleBox[GridBox[{
          {"\[Alpha]", "\[Beta]"},
          {" ", " "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`RicciCD[$CellContext`a, $CellContext`b],
   Editable->False]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375765283*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"5728ec98-5bfd-4658-8938-778bd04fa540"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalA]", 
       StyleBox[GridBox[{
          {" "},
          {"\[Alpha]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`A[-$CellContext`a],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalA]", 
       StyleBox[GridBox[{
          {" "},
          {"\[Beta]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`A[-$CellContext`b],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       OverscriptBox["\[ScriptG]", "\[Degree]"], 
       StyleBox[GridBox[{
          {"\[Alpha]", 
           RowBox[{"\[Alpha]", "'"}]},
          {" ", " "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`G[$CellContext`a, $CellContext`a1],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       OverscriptBox["\[ScriptG]", "\[Degree]"], 
       StyleBox[GridBox[{
          {"\[Beta]", 
           RowBox[{"\[Beta]", "'"}]},
          {" ", " "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`G[$CellContext`b, $CellContext`b1],
   Editable->False], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", 
        OverscriptBox["\[Del]", "\[SmallCircle]"], "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {
           RowBox[{"\[Alpha]", "'"}], 
           RowBox[{"\[Beta]", "'"}]}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`RicciCD[-$CellContext`a1, -$CellContext`b1],
   Editable->False]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375791766*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"eadb7150-f1c8-4586-a3a0-04aca79f11b2"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{
      InterpretationBox[
       StyleBox["\[CapitalPhi]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`A1,
       Editable->False], "[", 
      InterpretationBox[
       StyleBox["\[ScriptR]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cr[],
       Editable->False], "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        InterpretationBox[
         StyleBox["\[CapitalOmega]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`B2,
         Editable->False], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[CapitalTheta]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B1,
          Editable->False], "\[Prime]",
         MultilineFunction->None], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}]}], "+", 
      RowBox[{
       RowBox[{
        InterpretationBox[
         StyleBox["\[CapitalTheta]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`B1,
         Editable->False], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[CapitalOmega]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B2,
          Editable->False], "\[Prime]",
         MultilineFunction->None], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}]}]}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox[
     RowBox[{
      InterpretationBox[
       StyleBox["\[CapitalTheta]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`B1,
       Editable->False], "[", 
      InterpretationBox[
       StyleBox["\[ScriptR]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cr[],
       Editable->False], "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{
        InterpretationBox[
         StyleBox["\[CapitalTheta]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`B1,
         Editable->False], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[CapitalOmega]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B2,
          Editable->False], "\[Prime]",
         MultilineFunction->None], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}]}], "-", 
      RowBox[{
       InterpretationBox[
        StyleBox["\[ScriptR]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cr[],
        Editable->False], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[CapitalTheta]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B1,
          Editable->False], "\[Prime]",
         MultilineFunction->None], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[CapitalOmega]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B2,
          Editable->False], "\[Prime]",
         MultilineFunction->None], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}]}], "+", 
      RowBox[{
       RowBox[{
        InterpretationBox[
         StyleBox["\[CapitalOmega]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`B2,
         Editable->False], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptR]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cr[],
        Editable->False], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox[
          StyleBox["\[CapitalTheta]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`B1,
          Editable->False], "\[Prime]\[Prime]",
         MultilineFunction->None], "[", 
        InterpretationBox[
         StyleBox["\[ScriptR]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cr[],
         Editable->False], "]"}]}]}], ")"}]}]}], 
  RowBox[{
   SuperscriptBox[
    RowBox[{
     InterpretationBox[
      StyleBox["\[CapitalTheta]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`B1,
      Editable->False], "[", 
     InterpretationBox[
      StyleBox["\[ScriptR]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cr[],
      Editable->False], "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{
     InterpretationBox[
      StyleBox["\[CapitalOmega]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`B2,
      Editable->False], "[", 
     InterpretationBox[
      StyleBox["\[ScriptR]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cr[],
      Editable->False], "]"}], "3"], " ", 
   InterpretationBox[
    StyleBox["\[ScriptR]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`cr[],
    Editable->False]}]]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375846972*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"4ea2e94b-51af-4924-89ce-d656751f5f35"],

Cell[BoxData[
 TagBox[GridBox[{
    {Cell["Connection to Part III project",
      FontWeight->Bold,ExpressionUUID->
      "023fb790-92f2-40d8-b42b-5383a7330e21"], Cell["\<\
Brilliant, that computation took a fraction of a second. So with these tools \
all the field equations can be reduced to ODEs in the radius within no more \
than a couple of hours' tinkering: it is basically just data entry.\
\>",ExpressionUUID->"20e38a24-d59b-4ae8-9a01-6f579c680b82"]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "TextGrid"]], "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.889954375870714*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],
 Background->RGBColor[
  1, 1, 0],ExpressionUUID->"06238719-cb9b-4245-ace5-b3c67b8b7c20"]
},
WindowSize->{810., 1400.25},
WindowMargins->{{Automatic, -810}, {Automatic, 19.5}},
FrontEndVersion->"13.2 for Linux x86 (64-bit) (January 31, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"1b1d8b7b-aab8-4603-95a8-b6f125d0e8ee"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 378, 9, 29, "Input",ExpressionUUID->"d7e67cda-12be-45bf-bec3-bc2d6d116f91"],
Cell[939, 31, 524, 16, 67, InheritFromParent,ExpressionUUID->"36f36cac-76cb-4c2d-a813-06c1deb645e2"],
Cell[1466, 49, 1112, 29, 148, InheritFromParent,ExpressionUUID->"da0460bb-3ad9-4698-b066-3ccb26e8d4f2"],
Cell[CellGroupData[{
Cell[2603, 82, 242, 5, 23, "Print",ExpressionUUID->"a34830c6-23a6-4edd-b77a-53cd6c53097b"],
Cell[2848, 89, 513, 13, 25, "Print",ExpressionUUID->"28b3c852-d8e6-43b1-81d1-5e0a7c4a28b5"],
Cell[3364, 104, 263, 5, 25, "Print",ExpressionUUID->"71d572c1-379a-4434-9cb3-3cdd6d07ae57"],
Cell[3630, 111, 222, 4, 25, "Print",ExpressionUUID->"b54f1a68-ee9d-4e6c-b49a-4a2c32c3b44a"],
Cell[3855, 117, 203, 4, 25, "Print",ExpressionUUID->"a4df7a28-9ad4-419a-ae92-f7ef205a3a4c"],
Cell[4061, 123, 242, 5, 23, "Print",ExpressionUUID->"d8777b24-6c7b-49b0-97ed-9712c30c46e7"],
Cell[4306, 130, 520, 13, 25, "Print",ExpressionUUID->"aa7da2e2-d0f0-418c-8df1-8d0b307e2726"],
Cell[4829, 145, 265, 5, 25, "Print",ExpressionUUID->"bee6e537-c360-486a-bba4-b07d65cbb35b"],
Cell[5097, 152, 244, 5, 23, "Print",ExpressionUUID->"4b0cbe03-d378-4bab-83f9-a2a30d3d47fd"],
Cell[5344, 159, 397, 7, 65, "Print",ExpressionUUID->"619dcc12-19f7-45bc-87e3-36fca23db77b"],
Cell[5744, 168, 244, 5, 23, "Print",ExpressionUUID->"2791ab2e-0a20-490f-96cb-f64c82d867dd"],
Cell[5991, 175, 242, 5, 23, "Print",ExpressionUUID->"2efc8bba-0bf9-4e2a-abd3-8b658d1cb329"],
Cell[6236, 182, 514, 13, 25, "Print",ExpressionUUID->"c4ad9db2-869a-4962-8324-d37c05745345"],
Cell[6753, 197, 265, 5, 25, "Print",ExpressionUUID->"c5d3b357-6290-485b-9cc2-06b64b0dc8d0"],
Cell[7021, 204, 242, 5, 23, "Print",ExpressionUUID->"148cbf5d-b79e-437f-ae33-685fe580edbd"],
Cell[7266, 211, 399, 7, 65, "Print",ExpressionUUID->"0e45e40d-578f-40a1-ab64-9a69255e3225"],
Cell[7668, 220, 242, 5, 23, "Print",ExpressionUUID->"e6bdd6ee-3289-4ef0-bac4-28d12d2606fa"],
Cell[7913, 227, 222, 4, 25, "Print",ExpressionUUID->"92af8776-6cab-41f2-9a88-ad72f83e1e87"],
Cell[8138, 233, 203, 4, 25, "Print",ExpressionUUID->"72dff689-62e9-4a15-80ee-a1f6e243d97d"],
Cell[8344, 239, 244, 5, 23, "Print",ExpressionUUID->"794c06b6-fc32-49a9-a57f-fbf3e870cdfe"],
Cell[8591, 246, 514, 13, 25, "Print",ExpressionUUID->"a5c29871-e8f5-4d6f-8b53-5cfaa4231f0a"],
Cell[9108, 261, 311, 6, 45, "Print",ExpressionUUID->"5bf07d39-783e-41ff-82bb-5ebe90518949"],
Cell[9422, 269, 482, 12, 25, "Print",ExpressionUUID->"23e52ef4-4199-4e53-bbf8-4607785b2ea0"],
Cell[9907, 283, 568, 13, 25, "Print",ExpressionUUID->"562aa402-a587-4d90-9873-03511cb0d4e5"],
Cell[10478, 298, 669, 13, 25, "Print",ExpressionUUID->"7f1d1166-8bbe-4bc7-b7dc-832651cec1ae"],
Cell[11150, 313, 627, 13, 25, "Print",ExpressionUUID->"31980d2a-6997-46df-88ad-17c3fb4b529b"],
Cell[11780, 328, 647, 13, 25, "Print",ExpressionUUID->"58fa9c25-24d7-4c49-b82d-51665a3d5e6e"],
Cell[12430, 343, 242, 5, 23, "Print",ExpressionUUID->"0d6a4b0e-e52e-452c-b658-9a382fe54038"],
Cell[12675, 350, 509, 12, 25, "Print",ExpressionUUID->"9ed0f2a0-11f3-459b-9175-49abae12b3b1"],
Cell[13187, 364, 291, 5, 45, "Print",ExpressionUUID->"d2fce213-ea69-4e37-b91d-c6bdb22c3b5d"],
Cell[13481, 371, 612, 14, 25, "Print",ExpressionUUID->"3ad352be-69e6-414a-852d-b7bb74e3c320"],
Cell[14096, 387, 602, 13, 25, "Print",ExpressionUUID->"8487eaf4-d610-48fb-a85f-0ff5fd6ee651"],
Cell[14701, 402, 649, 13, 25, "Print",ExpressionUUID->"f601d7dc-62ac-4760-babf-837b5c02b973"],
Cell[15353, 417, 562, 13, 25, "Print",ExpressionUUID->"159a7df2-7f7b-4694-b3c3-dcd9e3dd0502"],
Cell[15918, 432, 242, 5, 23, "Print",ExpressionUUID->"f38d06fa-f00b-4555-ba94-cf43d631f5dc"],
Cell[16163, 439, 514, 13, 25, "Print",ExpressionUUID->"ee67c33b-1d7f-4eb4-8d32-bb91875f12ef"],
Cell[16680, 454, 280, 5, 45, "Print",ExpressionUUID->"66b02110-f486-48b1-96ff-6c7d902f5f94"],
Cell[16963, 461, 244, 5, 23, "Print",ExpressionUUID->"f3a32d66-7354-4b32-8f54-be676a87d5ad"],
Cell[17210, 468, 532, 13, 25, "Print",ExpressionUUID->"932f2b21-8bbe-4f87-b8fa-e430e5875124"],
Cell[17745, 483, 269, 5, 25, "Print",ExpressionUUID->"69f69bf2-3afe-4d64-8708-f1a02b4b7888"],
Cell[18017, 490, 244, 5, 23, "Print",ExpressionUUID->"e357a272-e041-47fb-b713-075c8f976448"],
Cell[18264, 497, 515, 12, 25, "Print",ExpressionUUID->"b9a014c0-3fd2-446c-8f6b-1161a3cd580a"],
Cell[18782, 511, 253, 5, 25, "Print",ExpressionUUID->"fdc67bfe-9eab-4010-9e9c-ad8916a8379c"],
Cell[19038, 518, 572, 14, 25, "Print",ExpressionUUID->"63c3932a-3eb9-495f-a889-326496c24957"],
Cell[19613, 534, 651, 13, 25, "Print",ExpressionUUID->"907366fa-c6e6-46bc-8b62-d5e04cda85d6"],
Cell[20267, 549, 242, 5, 23, "Print",ExpressionUUID->"28973612-2e20-4918-9f12-656ad3e1d60c"],
Cell[20512, 556, 397, 7, 65, "Print",ExpressionUUID->"71d55943-19a3-4a07-846f-379f87c825c1"],
Cell[20912, 565, 242, 5, 23, "Print",ExpressionUUID->"dba507df-1a62-4997-8c01-b4d1544f965e"],
Cell[21157, 572, 244, 5, 23, "Print",ExpressionUUID->"b7451e38-9566-447b-9f68-5b1b83b5ec0f"],
Cell[21404, 579, 514, 13, 25, "Print",ExpressionUUID->"d7c136d6-bc88-4b13-bc75-2d73ae9dd123"],
Cell[21921, 594, 281, 5, 45, "Print",ExpressionUUID->"7009658a-8539-4ef6-947e-6997665fb28d"],
Cell[22205, 601, 242, 5, 23, "Print",ExpressionUUID->"13c78ca7-8ab9-4039-85ff-7fb02e1da865"],
Cell[22450, 608, 397, 7, 65, "Print",ExpressionUUID->"ae8c102a-7c1d-4191-b711-cb0065c1b591"],
Cell[22850, 617, 242, 5, 23, "Print",ExpressionUUID->"95f7c4dc-584b-4029-bb03-b51dfedcc0f1"],
Cell[23095, 624, 576, 13, 25, "Print",ExpressionUUID->"2c24fb72-17dc-42df-99f6-061209fb127f"],
Cell[23674, 639, 588, 13, 25, "Print",ExpressionUUID->"b772e3bb-5b55-4e6d-b6e6-98b1ddbd11db"],
Cell[24265, 654, 734, 18, 25, "Print",ExpressionUUID->"19c42dfc-527b-40d8-89ab-af368de684da"],
Cell[25002, 674, 844, 21, 25, "Print",ExpressionUUID->"eb462e3d-60e5-4d59-b6aa-e9e74c0baca1"],
Cell[25849, 697, 817, 19, 25, "Print",ExpressionUUID->"adf3a82d-ed3f-43cd-a4b2-cdc39c57cb48"],
Cell[26669, 718, 835, 19, 25, "Print",ExpressionUUID->"d1c4ecff-67ca-48b2-a42f-27282bd9b740"],
Cell[27507, 739, 662, 16, 25, "Print",ExpressionUUID->"6a176cce-7064-43b1-8c52-41c2d9f184d1"],
Cell[28172, 757, 786, 19, 25, "Print",ExpressionUUID->"dbb958d3-e04d-43dc-9218-5c0b90d3607c"],
Cell[28961, 778, 802, 20, 25, "Print",ExpressionUUID->"4f8e5819-468b-403d-a5fa-e2ad5d24c748"],
Cell[29766, 800, 830, 20, 25, "Print",ExpressionUUID->"807742ce-5260-4818-8515-c094e2e3c8a6"],
Cell[30599, 822, 746, 18, 25, "Print",ExpressionUUID->"94ab9793-e8f9-41fc-9ba6-9db658aab3cf"],
Cell[31348, 842, 253, 5, 25, "Print",ExpressionUUID->"4c9b2250-4955-4ee0-b92e-88715edc7ad7"],
Cell[31604, 849, 628, 14, 25, "Print",ExpressionUUID->"5bb1adca-7ded-49ba-9602-563c8e54a51f"],
Cell[32235, 865, 255, 5, 25, "Print",ExpressionUUID->"48a14080-4cc5-45c9-b61d-9fad85e136fd"],
Cell[32493, 872, 762, 19, 25, "Print",ExpressionUUID->"31c66d8e-568f-4f71-b067-112b2df8ac59"],
Cell[33258, 893, 815, 19, 25, "Print",ExpressionUUID->"f8c70cb0-64a1-49aa-a436-810ebc96bf82"],
Cell[34076, 914, 754, 18, 25, "Print",ExpressionUUID->"348699ad-b257-42eb-a7e5-60dee535fcdc"],
Cell[34833, 934, 640, 14, 25, "Print",ExpressionUUID->"f25c1c25-b37e-46e7-9757-e8305978b542"],
Cell[35476, 950, 388, 9, 25, "Print",ExpressionUUID->"b6d2a3ed-7577-4f31-9c62-7ab01c75b449"],
Cell[35867, 961, 378, 9, 25, "Print",ExpressionUUID->"a8b6c678-49bb-4025-a4e0-917ad1fcd396"],
Cell[36248, 972, 390, 9, 25, "Print",ExpressionUUID->"4a1a72ca-dc60-431d-a46c-b3c6acfa71dd"],
Cell[36641, 983, 864, 21, 25, "Print",ExpressionUUID->"a4de99e7-e9c7-42a9-999c-fdf3d227c754"],
Cell[37508, 1006, 764, 19, 25, "Print",ExpressionUUID->"e2a10fab-9f80-47b2-8f88-26ebafab5906"],
Cell[38275, 1027, 871, 22, 25, "Print",ExpressionUUID->"6f6adc2d-3648-483d-a66b-97fcd3a31d9a"],
Cell[39149, 1051, 873, 22, 25, "Print",ExpressionUUID->"15128fcb-299a-4665-8a75-a5acfc5b6114"],
Cell[40025, 1075, 700, 16, 25, "Print",ExpressionUUID->"164a4426-d979-4a2b-b73e-74413e08b7ee"],
Cell[40728, 1093, 644, 14, 25, "Print",ExpressionUUID->"660832c6-d618-47c0-904d-d24788e8b3a9"],
Cell[41375, 1109, 624, 14, 25, "Print",ExpressionUUID->"59ab4846-bc03-451b-9468-03aaba603200"],
Cell[42002, 1125, 806, 18, 25, "Print",ExpressionUUID->"e3698fda-7530-478a-b244-ff6dc4ba0ecf"]
}, Open  ]],
Cell[42823, 1146, 435, 13, 35, InheritFromParent,ExpressionUUID->"7c4060e2-c8d4-46af-a67b-1f817d657d12"],
Cell[43261, 1161, 604, 13, 25, "Print",ExpressionUUID->"fd5bb265-e058-473d-9db0-55f8bbc112b3"],
Cell[43868, 1176, 448, 13, 35, InheritFromParent,ExpressionUUID->"d185af4c-accf-44b6-88dc-4e7baf322df6"],
Cell[CellGroupData[{
Cell[44341, 1193, 602, 13, 25, "Print",ExpressionUUID->"c240fb29-c12c-44c8-bca5-8d2d770e5d59"],
Cell[44946, 1208, 602, 13, 25, "Print",ExpressionUUID->"31f5e2f7-087f-49a1-a550-f9c651a32dc4"]
}, Open  ]],
Cell[45563, 1224, 463, 13, 35, InheritFromParent,ExpressionUUID->"b2df40b7-e19c-4a8c-a240-a38d5b888127"],
Cell[CellGroupData[{
Cell[46051, 1241, 590, 14, 25, "Print",ExpressionUUID->"208b8978-b540-47fd-9aa5-c0c4de9fb83a"],
Cell[46644, 1257, 618, 14, 25, "Print",ExpressionUUID->"0f3c74c9-562b-4a70-ba90-194fff7ba7d4"],
Cell[47265, 1273, 616, 14, 25, "Print",ExpressionUUID->"aae1f635-c43c-47f7-8e72-81b933f79aac"],
Cell[47884, 1289, 624, 14, 25, "Print",ExpressionUUID->"dbaa2d74-2ce5-4025-b6ba-825674c9a7e9"],
Cell[48511, 1305, 622, 14, 25, "Print",ExpressionUUID->"be46576a-47de-4efe-8c5f-a8b84ff30eac"],
Cell[49136, 1321, 600, 14, 25, "Print",ExpressionUUID->"b9a8b225-a0ae-4cfe-a8bc-f09a8b246b14"],
Cell[49739, 1337, 620, 14, 25, "Print",ExpressionUUID->"3e8981d2-a95a-4366-83e2-cd7e9346c330"],
Cell[50362, 1353, 795, 19, 25, "Print",ExpressionUUID->"bfa7d3fe-87a0-4cf1-94d6-b0c0d16150dd"],
Cell[51160, 1374, 800, 19, 25, "Print",ExpressionUUID->"8ff4451c-bbaa-4854-9acd-0a156a1b6bc6"],
Cell[51963, 1395, 628, 14, 25, "Print",ExpressionUUID->"c1830d5e-c897-47bc-9433-dc8247d64c08"],
Cell[52594, 1411, 686, 15, 25, "Print",ExpressionUUID->"7889ddbb-603c-4e09-a2d2-96e2f8e448d0"],
Cell[53283, 1428, 810, 19, 25, "Print",ExpressionUUID->"06634c3a-4c0a-4880-9cd9-2ab670a5f3df"],
Cell[54096, 1449, 830, 20, 25, "Print",ExpressionUUID->"feb346f0-f612-4f39-955e-679eba318190"],
Cell[54929, 1471, 860, 20, 25, "Print",ExpressionUUID->"0766c38f-4d9f-4455-8f9d-dd68dddb9b10"],
Cell[55792, 1493, 778, 19, 25, "Print",ExpressionUUID->"c28af7e5-4bfc-45a4-9993-53aabea7f07f"],
Cell[56573, 1514, 788, 17, 25, "Print",ExpressionUUID->"075cecf4-cd88-4357-98c4-96f29f5ed4c0"],
Cell[57364, 1533, 878, 21, 25, "Print",ExpressionUUID->"6cddcfe0-4eb8-4544-bb52-8c0b2b5519c2"]
}, Open  ]],
Cell[58257, 1557, 475, 13, 35, InheritFromParent,ExpressionUUID->"e5e4877d-cc5f-445d-a037-9eeaa77a4504"],
Cell[CellGroupData[{
Cell[58757, 1574, 2092, 60, 33, "Print",ExpressionUUID->"3846ff09-a13a-4b34-9820-67eca60e7935"],
Cell[60852, 1636, 1662, 45, 33, "Print",ExpressionUUID->"cc4a7b27-32c3-4cc2-96c8-a1d24da0aa60"],
Cell[62517, 1683, 1662, 45, 33, "Print",ExpressionUUID->"b5dcc5b6-735f-46ae-a333-202192f1d8b7"],
Cell[64182, 1730, 1661, 45, 33, "Print",ExpressionUUID->"5429db3b-fb8c-4b9d-bcf2-033dcb358452"],
Cell[65846, 1777, 2843, 78, 33, "Print",ExpressionUUID->"ae1aff67-901f-4ac6-8466-42043bbdded7"],
Cell[68692, 1857, 2126, 61, 33, "Print",ExpressionUUID->"f53d35f3-9dda-4b7d-a256-14ea6371b9dd"],
Cell[70821, 1920, 1662, 45, 33, "Print",ExpressionUUID->"cc5d0107-59ad-48d3-9c06-3b3c68c89580"],
Cell[72486, 1967, 1662, 45, 33, "Print",ExpressionUUID->"706da8a8-5ce1-497f-90a9-d32d32e0db4b"],
Cell[74151, 2014, 2845, 78, 33, "Print",ExpressionUUID->"39871534-7979-4cf8-84ac-25a08b74bea9"],
Cell[76999, 2094, 2843, 78, 33, "Print",ExpressionUUID->"d52ea1bc-6c67-4705-bef1-97a56f8cff9f"],
Cell[79845, 2174, 1896, 54, 33, "Print",ExpressionUUID->"cf456d95-db7a-4bea-aaa6-5dd98f13433f"],
Cell[81744, 2230, 1662, 45, 33, "Print",ExpressionUUID->"343b8f8a-54dc-4abf-922f-49fbdc15c3da"],
Cell[83409, 2277, 2843, 78, 33, "Print",ExpressionUUID->"0d5143be-64dd-43b9-957a-aa6a2cba52e3"],
Cell[86255, 2357, 2845, 78, 33, "Print",ExpressionUUID->"b3064263-a0d1-4038-b144-8062d33e32ed"],
Cell[89103, 2437, 2845, 78, 33, "Print",ExpressionUUID->"4ddd4708-2c83-4725-b67f-c4bfb25a657c"],
Cell[91951, 2517, 2338, 69, 33, "Print",ExpressionUUID->"c33c3d96-cce1-4c85-ba36-ac3f9090ce25"],
Cell[94292, 2588, 676, 15, 25, "Print",ExpressionUUID->"f11d38d4-05cd-4a82-8f2e-0f840898d7ad"],
Cell[94971, 2605, 779, 17, 25, "Print",ExpressionUUID->"0c9023e5-11ce-4ebe-bb12-98087b2f2bc9"]
}, Open  ]],
Cell[95765, 2625, 492, 15, 35, InheritFromParent,ExpressionUUID->"d92b5a87-4b57-40da-851b-0a7d6664fa68"],
Cell[96260, 2642, 1269, 37, 49, InheritFromParent,ExpressionUUID->"8f88fbc1-0c31-46bf-a9d0-abd773ffbd34"],
Cell[97532, 2681, 19318, 534, 134, InheritFromParent,ExpressionUUID->"0fd06895-9f69-46e2-ac39-56e61e03a9ff"],
Cell[116853, 3217, 2507, 82, 108, InheritFromParent,ExpressionUUID->"817dc9ac-fa9d-4010-ace0-0f42f5555cdd"],
Cell[119363, 3301, 449, 13, 35, InheritFromParent,ExpressionUUID->"423998db-abe1-449d-88d6-a12c9e301c1a"],
Cell[119815, 3316, 1267, 37, 49, InheritFromParent,ExpressionUUID->"b17752c9-a07d-442f-9531-d1518ab1324e"],
Cell[121085, 3355, 19286, 534, 134, InheritFromParent,ExpressionUUID->"49defbaf-0dc9-48ca-b54a-9f9f0edd2ed2"],
Cell[140374, 3891, 2631, 85, 139, InheritFromParent,ExpressionUUID->"82f9df18-d1e9-46fa-ac22-b51017edb22a"],
Cell[143008, 3978, 535, 16, 35, InheritFromParent,ExpressionUUID->"5076117d-b784-42fc-9be5-4129fef650a4"],
Cell[CellGroupData[{
Cell[143568, 3998, 593, 13, 25, "Print",ExpressionUUID->"46de4020-07b7-424c-a8ef-28e87d031a9b"],
Cell[144164, 4013, 593, 13, 25, "Print",ExpressionUUID->"9aaa1520-11e2-4ada-9f4a-f3c297fe4d9f"],
Cell[144760, 4028, 612, 14, 25, "Print",ExpressionUUID->"ee4f34f7-f175-4273-a3e3-782746e89131"],
Cell[145375, 4044, 610, 14, 25, "Print",ExpressionUUID->"9c0f548b-befb-4811-ba00-fe43f6e5fa1e"]
}, Open  ]],
Cell[146000, 4061, 1190, 30, 170, InheritFromParent,ExpressionUUID->"7e07f9d5-2675-4416-a9d5-48aae3298629"],
Cell[147193, 4093, 459, 13, 35, InheritFromParent,ExpressionUUID->"f132c145-9a13-4fe7-b2d8-9d30d20b49c9"],
Cell[147655, 4108, 631, 14, 25, "Print",ExpressionUUID->"f80829fc-8aae-4978-a1eb-d5eeb7be84cf"],
Cell[148289, 4124, 1107, 33, 48, InheritFromParent,ExpressionUUID->"7d6f0ae0-7c19-477b-8920-ce2c529fe902"],
Cell[149399, 4159, 3943, 119, 49, InheritFromParent,ExpressionUUID->"d2d13cba-d738-4e8c-80a9-f5673745a077"],
Cell[153345, 4280, 580, 17, 58, InheritFromParent,ExpressionUUID->"da5b410d-8f1f-48fd-98db-7849e35cf281"],
Cell[CellGroupData[{
Cell[153950, 4301, 602, 13, 25, "Print",ExpressionUUID->"394f101f-b8ff-435c-bf6b-905307dc1de9"],
Cell[154555, 4316, 602, 13, 25, "Print",ExpressionUUID->"8be777e2-0356-4d9c-995f-05fa81355e38"],
Cell[155160, 4331, 1849, 54, 33, "Print",ExpressionUUID->"ea665d35-8dbd-4b06-ab08-3df52d814de8"],
Cell[157012, 4387, 2980, 89, 48, "Print",ExpressionUUID->"5e91654b-8329-4fc3-8181-d304b1c6d7a4"],
Cell[159995, 4478, 1469, 40, 33, "Print",ExpressionUUID->"4ba0f900-2b15-4cea-8470-d90529c0e988"],
Cell[161467, 4520, 1467, 40, 33, "Print",ExpressionUUID->"6d5352b5-72c4-44de-ba50-876c7b240451"]
}, Open  ]],
Cell[162949, 4563, 1107, 33, 48, InheritFromParent,ExpressionUUID->"6d1f4b81-9360-4e00-a56f-ba45bbfb71e0"],
Cell[164059, 4598, 3943, 119, 49, InheritFromParent,ExpressionUUID->"c43cca29-6adf-40d2-a6c6-8a9a63e18747"],
Cell[168005, 4719, 1932, 67, 71, InheritFromParent,ExpressionUUID->"acfb5e61-524f-4166-b10f-a7d21cb880c5"],
Cell[169940, 4788, 501, 16, 35, InheritFromParent,ExpressionUUID->"7a913b15-e0b2-4d33-903e-f87a33493bad"],
Cell[170444, 4806, 1733, 55, 53, InheritFromParent,ExpressionUUID->"3c2a2346-0487-43ba-b64b-71bd2cfb9e7b"],
Cell[172180, 4863, 1482, 52, 65, InheritFromParent,ExpressionUUID->"7ee752b6-8e68-4790-8126-7a1fe6081913"],
Cell[173665, 4917, 508, 16, 35, InheritFromParent,ExpressionUUID->"6126fe44-2fa6-472f-80b6-021bd869b31e"],
Cell[174176, 4935, 1859, 58, 48, InheritFromParent,ExpressionUUID->"eec5254c-57b5-4b01-8e84-a59b04c4d002"],
Cell[176038, 4995, 2791, 87, 49, InheritFromParent,ExpressionUUID->"ca3adea2-5256-4327-b9c9-56341081cab4"],
Cell[178832, 5084, 230, 5, 41, InheritFromParent,ExpressionUUID->"6a7e0ecb-8668-4752-a395-b048c027cfb9"],
Cell[179065, 5091, 496, 15, 35, InheritFromParent,ExpressionUUID->"a0e9b6b0-2911-4686-8fc7-a82a83fa43eb"],
Cell[179564, 5108, 2774, 86, 51, InheritFromParent,ExpressionUUID->"5728ec98-5bfd-4658-8938-778bd04fa540"],
Cell[182341, 5196, 4636, 144, 51, InheritFromParent,ExpressionUUID->"eadb7150-f1c8-4586-a3a0-04aca79f11b2"],
Cell[186980, 5342, 6960, 236, 72, InheritFromParent,ExpressionUUID->"4ea2e94b-51af-4924-89ce-d656751f5f35"],
Cell[193943, 5580, 1082, 28, 126, InheritFromParent,ExpressionUUID->"06238719-cb9b-4245-ace5-b3c67b8b7c20"]
}
]
*)

